#include <iostream>
#include <algorithm>
#include <cmath>

using namespace std;

int main()
{
    long long n, q, x;
    cin>>n>>q;
    long long a[n], b[q], c[n];
    for(long long i=0; i<n; i++)
    {
        cin>>a[i];
    }
    sort(a, a+n);
    long long m=floor(n/2)+1;
    for(long long i=0; i<q; i++)
    {
        cin>>b[i];
        for(long long j=0; j<n; j++)
        {
            if(b[i]==a[j])
            {
                x=j+1;
                j=n;
            }
        }
        cout<<abs(x-m)<<endl;
    }
}